/* getreply - print a prompt and get one-line reply
 * Returns length of reply string, or EOF if end-of-file
 * Consumes an entire input line, even if over-long.
 */
#include "local.h"
int getreply(prompt, reply, size)
	char prompt[];
	char reply[];
	int size;
	{
	metachar last_char;			/* the last char read */
	int get_ret;				/* getsnn return: length of reply or EOF */

	printf("%s", prompt);
	get_ret = getsnn(reply, size);
	if (get_ret == EOF)
		return (EOF);
	else if (get_ret == size-1)	/* no newline was read */
		while ((last_char = getchar()) != EOF && last_char != '\n')
			;
	if (last_char == EOF)
		return (EOF);
	return (get_ret);
	}
